Bug 166174 - RFE: Better name for "MODIFIED" status
RFE: Better name for "MODIFIED" status
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-17 15:21 EDT by Dave Malcolm
Modified: 2013-06-23 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-21 14:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-08-17 15:21:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050730 Epiphany/1.7.4

Description of problem:
The name of the "MODIFIED" status is very unclear; it doesn't give a great deal of information on what the status actually means - you have to look it up to know.

Since the state means: "an engineer has a proposed fix for this, which hasn't yet gone through QA", a suggestion for a better name might be:

(naturally, this would totally break everyone's canned queries...)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Be a first-time user of Bugzilla
2. See an attribute of a bug change in some way
3. Wonder if it should now be in the MODIFIED state

Additional info:
Comment 1 David Lawrence 2005-08-17 15:32:44 EDT
Bringing Jeff Needle into the discussion since this probably has alot to do with
alot of the new process effort going on now.
Comment 2 Jeff Needle 2005-08-17 15:53:03 EDT
Yeah, David beat me up in our training session.  While I agree that this could
be worded better, it wasn't something that felt worth changing during our
initial process flow because so many people depend on it.  However, I don't care
one way or the other, all I have to change is slides, not behavior :-).
Comment 3 David Lawrence 2005-08-17 16:24:15 EDT
What would be a better choice? CHECKEDIN, FIXEDINCVS? Maybe bypass MODIFIED and
go straight to ON_QA?
Comment 5 Ernie Petrides 2005-08-17 17:12:48 EDT
To clarify for Dave Malcolm: MODIFIED state means the sources in CVS have been
modified to include the bug fix.

I agree that MODIFIED is not a great name, but since thousands of people know
what it means, and since its meaning has been consistent for several years, I'm
against changing its name or the time of the ASSIGNED->MODIFIED transition.

With the new scheme being rolled out this week, we'll now have MODIFIED->ON_QA
transitions at the time of filing advisory Q/A requests, which is a good move.

So, my feeling is that this RFE bug should be changed to "better documentation"
(as opposed to "better name") for MODIFIED status if in fact existing info
doesn't already make this clear.  (If existing documentation already makes
this clear, then I think this RFE should be rejected.)

Comment 6 David Lawrence 2008-09-16 12:53:15 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 7 Kevin Baker 2008-11-21 14:10:54 EST
old as the hills. closing

Note You need to log in before you can comment on or make changes to this bug.